[lfs-book] [LFS Trac] #3139: Flex 2.5.37

LFS Trac trac at linuxfromscratch.org
Sun Aug 5 15:19:39 PDT 2012


#3139: Flex 2.5.37
-------------------------+--------------------------------------------------
 Reporter:  jaycee       |       Owner:  matthew@…                   
     Type:  enhancement  |      Status:  assigned                    
 Priority:  normal       |   Milestone:  7.2                         
Component:  Book         |     Version:  SVN                         
 Severity:  normal       |    Keywords:                              
-------------------------+--------------------------------------------------

Comment(by bdubbs@…):

 The flex-2.5.35-gcc44-1.patch is no longer needed.


 The two errors in the test suite are due to changes in bison:

 http://sourceforge.net/tracker/?func=detail&aid=3546447&group_id=97492&atid=618177

 A patch fixes the errors:
 http://pkgs.fedoraproject.org/cgit/flex.git/plain/flex-2.5.36-bison-2.6.1.patch?p=flex.git;a=blob_plain;f=flex-2.5.36-bison-2.6.1.patch

 We can either create a patch or just mention the issues in the text.

 The GRUB problem can be fixed with adding --disable-werror to GRUB's
 configure.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/lfs/ticket/3139#comment:4>
LFS Trac <http://wiki.linuxfromscratch.org/lfs/>
Linux From Scratch: Your Distro, Your Rules.



More information about the lfs-book mailing list